#include <math.h>
#include "Matrix.h"


int main(void){
  Matrix A,B,C;
  unsigned int N=20,M=30,P=15;;
  //InitRand();
  
  printf("------------------------------------------------------------\n");
  printf("  Create two random matrices using uniform real distribution\n");
  printf("  in [-pi;pi[\n");
  printf("------------------------------------------------------------\n");
  
  AllocRandMatrix(N,M,-M_PI,M_PI,&A);
  AllocRandTriUpperMatrix(M,-M_PI,M_PI,&B);
  
  PrintMatrix(A,"A",5,3);
  PrintMatrix(B,"B",5,3);
  
  C=AllocRandSPDMatrix_out(P);
  PrintMatrix(C,"C",5,3);
  
  freeMatrix(A);freeMatrix(B);
  freeMatrix(C);
  return 0;
}
