#include <random>
#include <iostream>
 
#include "rand.h"

void uniform_real_distribution(double a, double b,uint n,double *u)
{
    std::random_device rd;  //Will be used to obtain a seed for the random number engine
    std::mt19937 gen(rd()); //Standard mersenne_twister_engine seeded with rd()
    std::uniform_real_distribution<> dis(a, b);
    for (uint i = 0; i < n; i++)
        u[i]= dis(gen);
}
