#include <math.h>
#include "Vector.h"

#define V0 {0,NULL}

int main(void){
  Vector A,B,C;
  //InitRand();
  
  printf("------------------------------------------------------------\n");
  printf("  Create two random vectors using uniform real distribution\n");
  printf("  in [-pi;pi[\n");
  printf("------------------------------------------------------------\n");
  
  AllocRandVector(20,-M_PI,M_PI,&A);
  AllocRandVector(20,- M_PI,M_PI,&B);
  
  printf("1. print vectors A and B\n");
  printf("------------------------\n");
  
  PrintVector(A,"A",5);
  PrintVector(B,"B",5);
  
  printf("2. print scalar product <A,B>\n");
  printf("-----------------------------\n");
  printf("<A,B>=%g\n",ScalarProd_out(A,B));
  
  printf("3. print vector C <- 3*A+2*B\n");
  printf("--------------------------\n");
  aUpbV(3.,A,2.,B,&C);
  PrintVector(C,"C",5);
  
  printf("4. print vector C <- A-C\n");
  printf("--------------------------\n");
  aUpbV(1.,A,-1.,C,&C); // fuite mémoire
  // aUpbV_in(1.,A,-1.,C,C); // sans fuite mémoire
  PrintVector(C,"C",5);
  
  freeVector(A);freeVector(B);freeVector(C);
  return 0;
}
